View Issue Details

IDProjectCategoryView StatusLast Update
0005839Talerwallet (WebExtensions)public2020-01-20 12:25
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version0.6Fixed in Version0.6 
Summary0005839: implement complete CLI bindings for the wallet
DescriptionCurrently the wallet has an extremely simplified command line interface with mostly hardcoded values, implemented here:
https://git.taler.net/wallet-webex.git/tree/src/headless/taler-wallet-cli.ts

What should be added is:
* specifying the exchange, bank and amount to use when withdrawing
* paying for contract URLs
* refunds
* receiving tips
* (... and basically everything else the wallet already does)
TagsNo tags attached.

Activities

Florian Dold

2020-01-15 16:41

manager   ~0015277

The wallet has had a CLI for a while now, and it covers everything mentioned in this bug report.

Issue History

Date Modified Username Field Change
2019-08-18 15:23 Florian Dold New Issue
2019-08-18 15:23 Florian Dold Status new => assigned
2019-08-18 15:23 Florian Dold Assigned To => Florian Dold
2019-08-18 15:25 Florian Dold Relationship added parent of 0005840
2019-08-18 15:29 Florian Dold Description Updated View Revisions
2019-09-02 10:00 ng0 Assigned To Florian Dold => ng0
2020-01-15 16:40 Florian Dold Assigned To ng0 => Florian Dold
2020-01-15 16:40 Florian Dold Relationship deleted parent of 0005840
2020-01-15 16:41 Florian Dold Status assigned => resolved
2020-01-15 16:41 Florian Dold Resolution open => fixed
2020-01-15 16:41 Florian Dold Fixed in Version => 0.6
2020-01-15 16:41 Florian Dold Note Added: 0015277
2020-01-20 12:25 Christian Grothoff Target Version 0.7 => 0.6